$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/clients/releases/download/desktop-v2023.9.3/Bitwarden-Installer-2023.9.3.exe'
$checksum = '3F9D865238049E75B49005C4175AB23C472A51B7855ED054D3A9ABB6E64BBC3B'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
